from django import template
from django.utils.html import strip_tags
import html


register = template.Library()

@register.filter
def clean_html(value):
    """Удаляет HTML-теги и заменяет сущности на символы."""
    # Декодируем HTML-сущности (например, &nbsp; → пробел)
    value = html.unescape(value)
    # Удаляем все HTML-теги
    return strip_tags(value)
